Bug 1369087 (CVE-2016-6855) - CVE-2016-6855 eog: Out-of-bounds write when passing invalid UTF-8 to GMarkup
Summary: CVE-2016-6855 eog: Out-of-bounds write when passing invalid UTF-8 to GMarkup
Status: CLOSED WONTFIX
Alias: CVE-2016-6855
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20160819,reported=2...
Keywords: Security
Depends On: 1369088
Blocks: 1369089
TreeView+ depends on / blocked
 
Reported: 2016-08-22 13:10 UTC by Adam Mariš
Modified: 2019-06-08 21:24 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-08-24 09:24:02 UTC


Attachments (Terms of Use)
upstream patch (1.63 KB, application/mbox)
2016-08-24 06:12 UTC, Dhiru Kholia
no flags Details

Description Adam Mariš 2016-08-22 13:10:31 UTC
An out-of-bounds write vulnerability in eog was found when processing specially crafted SVG file. Due to passing the error message containing invalid UTF-8 character to GMarkup, out-of-bounds access is triggered.

Upstream bug:

https://bugzilla.gnome.org/show_bug.cgi?id=770143

Upstream patch:

https://git.gnome.org/browse/eog/commit/?id=e99a8c00f959652fe7c10e2fa5a3a7a5c25e6af4

Comment 1 Adam Mariš 2016-08-22 13:12:06 UTC
Created eog tracking bugs for this issue:

Affects: fedora-all [bug 1369088]

Comment 2 Dhiru Kholia 2016-08-24 06:12 UTC
Created attachment 1193475 [details]
upstream patch

Comment 4 Fedora Update System 2016-08-24 13:50:08 UTC
eog-3.20.4-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2016-08-24 16:22:48 UTC
eog-3.18.3-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.